org.apache.ivy.osgi.updatesite

## Class UpdateSiteResolver

- java.lang.Object
- - org.apache.ivy.plugins.resolver.AbstractResolver
  - - org.apache.ivy.plugins.resolver.BasicResolver
    - - org.apache.ivy.osgi.repo.AbstractOSGiResolver
      - - org.apache.ivy.osgi.updatesite.UpdateSiteResolver

All Implemented Interfaces:
  Validatable, DependencyResolver, HasLatestStrategy

    public class UpdateSiteResolver
    extends AbstractOSGiResolver

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ivy.osgi.repo.AbstractOSGiResolver

`AbstractOSGiResolver.RequirementStrategy`

### Field Summary

### Fields inherited from class org.apache.ivy.osgi.repo.AbstractOSGiResolver

`FAILING_REPO_DESCRIPTOR`

### Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver

`DATE_FORMAT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED`

### Constructor Summary

Constructors
Constructor and Description
`UpdateSiteResolver()`

### Method Summary

Methods
`protected void` `init()`
`void` `setForceMetadataUpdate(java.lang.Boolean forceMetadataUpdate)`
`void` `setLogLevel(java.lang.String logLevel)`
`void` `setMetadataTtl(java.lang.Long metadataTtl)`
`void` `setUrl(java.lang.String url)`

### Methods inherited from class org.apache.ivy.osgi.repo.AbstractOSGiResolver

`checkModuleDescriptorRevision, ensureInit, filterNames, findArtifactRef, findBundle, findCapability, findIvyFileRef, findNames, findResource, get, getRepoDescriptor, getRepository, getResource, isAllownomd, listTokenValues, publish, setRepoDescriptor, setRequirementStrategy, setRequirementStrategy`

### Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver

`acceptLatest, clearArtifactAttempts, clearIvyAttempts, doFindArtifactRef, download, download, exists, findFirstArtifactRef, getAndCheck, getArtifactRef, getChecksumAlgorithms, getDefaultRMDParser, getDependency, getPublicationDate, getRMDParser, getWorkspaceName, isCheckconsistency, isEnvDependent, isForce, listModules, listOrganisations, listRevisions, listTokenValues, locate, logArtifactAttempt, logAttempt, logIvyAttempt, parse, reportFailure, reportFailure, setAllownomd, setCheckconsistency, setChecksums, setDescriptor, setEnvDependent, setForce, setWorkspaceName, shouldReturnResolvedModule, toString`

### Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver

`abortPublishTransaction, beginPublishTransaction, checkInterrupted, checkLatest, commitPublishTransaction, doValidate, dumpSettings, findModuleInCache, findModuleInCache, fromSystem, fromSystem, getCacheDownloadOptions, getCacheOptions, getChangingMatcherName, getChangingPattern, getDownloadOptions, getEventManager, getLatest, getLatestStrategy, getName, getNamespace, getParserSettings, getRepositoryCacheManager, getSettings, getSystemNode, getTypeName, hidePassword, isAfter, isValidate, saveModuleRevisionIfNeeded, setCache, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, setLatest, setLatestStrategy, setName, setNamespace, setRepositoryCacheManager, setSettings, setValidate, toSystem, toSystem, toSystem, toSystem, toSystem, toSystem, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateSiteResolver

    public UpdateSiteResolver()

### Method Detail

#### setUrl

    public void setUrl(java.lang.String url)

#### setMetadataTtl

    public void setMetadataTtl(java.lang.Long metadataTtl)

#### setForceMetadataUpdate

    public void setForceMetadataUpdate(java.lang.Boolean forceMetadataUpdate)

#### setLogLevel

    public void setLogLevel(java.lang.String logLevel)

#### init

    protected void init()

Specified by:
  `init` in class `AbstractOSGiResolver`